%global sfincb %{_datadir}/shellfu/include-bash
%global sfmodn uripecker
%global shellfu_req shellfu >= 0.10.4, shellfu < 0.11.0
%if 0%{?rhel} && 0%{?rhel} <= 7
%global py_req     python
%global pylibs_req python-libs
%else
%global py_req     python3
%global pylibs_req python3-libs
%endif

Name:           shellfu-bash-uripecker
Version:        0.1.13
Release:        1%{?dist}
Summary:        UriPecker - Peck them URIs out
URL:            https://gitlab.com/vornet/shellfu/shellfu-bash-uripecker
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %shellfu_req
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  %py_req
BuildRequires:  %pylibs_req
BuildRequires:  shellfu-bash-pretty

Requires: %shellfu_req
Requires: perl
Requires: %py_req
Requires: %pylibs_req
Requires: shellfu-bash
Requires: shellfu-bash-pretty
%description
UriPecker is Shellfu/bash module of one function that takes a string on
standard output, and looks for things that look like could be URIs.
Besides real URIs, it can look for set of keywords and identifiers such
as 'build 1234', 'issue#45' or 'bz6789' and translate them based on a
simple INI file.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
make test \
    SHELLFU_PATH=%{buildroot}/%{_datadir}/shellfu/include-bash

%files
%doc %{_docdir}/%{name}/README.md
%{sfincb}/%{sfmodn}.sh


%changelog

# specfile built with MKit 0.0.53
